Get one action with its diff, guardrail scores, status, result or error, and audit trail.
curl --request GET \
--url https://api.appgoat.ai/v1/actions/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/actions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/actions/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "act_Qm3xXk2Lw9PaZr0cVb",
"type": "review.reply",
"connection_id": "<string>",
"status": "draft",
"params": {},
"diff": {
"target": {},
"changes": [
{
"field": "<string>",
"before": "<unknown>",
"after": "<unknown>"
}
],
"summary": "<string>",
"notes": [
"<string>"
]
},
"guardrail": {
"status": "passed",
"score": 123,
"checks": {},
"warnings": [
"<string>"
],
"checks_failed": [
{
"id": "<string>",
"severity": "block",
"message": "<string>"
}
],
"model": "<string>"
},
"result": "<unknown>",
"error": "<string>",
"created_by": "<string>",
"approved_by": "<string>",
"rejected_reason": "<string>",
"credits": 123,
"created_at": "2023-11-07T05:31:56Z",
"applied_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"approve_url": "<string>",
"audit": [
{
"event": "<string>",
"actor": "<string>",
"at": "2023-11-07T05:31:56Z",
"detail": {}
}
]
},
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Actions
Get action
GET
/
actions
/
{id}
Get one action with its diff, guardrail scores, status, result or error, and audit trail.
curl --request GET \
--url https://api.appgoat.ai/v1/actions/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/actions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/actions/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "act_Qm3xXk2Lw9PaZr0cVb",
"type": "review.reply",
"connection_id": "<string>",
"status": "draft",
"params": {},
"diff": {
"target": {},
"changes": [
{
"field": "<string>",
"before": "<unknown>",
"after": "<unknown>"
}
],
"summary": "<string>",
"notes": [
"<string>"
]
},
"guardrail": {
"status": "passed",
"score": 123,
"checks": {},
"warnings": [
"<string>"
],
"checks_failed": [
{
"id": "<string>",
"severity": "block",
"message": "<string>"
}
],
"model": "<string>"
},
"result": "<unknown>",
"error": "<string>",
"created_by": "<string>",
"approved_by": "<string>",
"rejected_reason": "<string>",
"credits": 123,
"created_at": "2023-11-07T05:31:56Z",
"applied_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"approve_url": "<string>",
"audit": [
{
"event": "<string>",
"actor": "<string>",
"at": "2023-11-07T05:31:56Z",
"detail": {}
}
]
},
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Authorizations
Create a key at https://dash.appgoat.ai.
Path Parameters
Action id (act_…).